Bug 407741 - FATAL: Error inserting it87 Device or resource busy
FATAL: Error inserting it87 Device or resource busy
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F9KernelBlocker
  Show dependency treegraph
 
Reported: 2007-12-02 05:59 EST by Nicolas Mailhot
Modified: 2009-11-20 19:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 04:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-12-02 05:59:51 EST
Description of problem:

The main sensors device on my mobo is not working anymore. When I try to insert
the module manually I get

# /sbin/rmmod it87
ERROR: Module it87 does not exist in /proc/modules
# /sbin/modprobe it87
FATAL: Error inserting it87
(/lib/modules/2.6.24-0.62.rc3.git5.fc9/kernel/drivers/hwmon/it87.ko): Device or
resource busy

it87 is one of the most common sensor module, a lot of people are going to be
affected

Version-Release number of selected component (if applicable):
# uname -a
Linux rousalka.dyndns.org 2.6.24-0.62.rc3.git5.fc9 #1 SMP Sat Dec 1 13:59:08 EST
2007 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

always
Comment 1 Dave Jones 2008-04-01 20:30:21 EDT
$ modinfo it87
filename:      
/lib/modules/2.6.25-0.172.rc7.git4.fc9.x86_64/kernel/drivers/hwmon/it87.ko
license:        GPL
description:    IT8705F/8712F/8716F/8718F/8726F, SiS950 driver
author:         Chris Gauthron, Jean Delvare <khali@linux-fr.org>
srcversion:     DA569B577D14CCADE624D4D
depends:        hwmon,hwmon-vid
vermagic:       2.6.25-0.172.rc7.git4.fc9.x86_64 SMP mod_unload 
parm:           force_id:Override the detected device ID (ushort)
parm:           update_vbat:Update vbat if set else return powerup value (bool)
parm:           fix_pwm_polarity:Force PWM polarity to active high (DANGEROUS)
(bool)
Comment 2 Dave Jones 2008-04-01 20:31:23 EDT
oops. sorry about that, brainfart.
Comment 3 Dave Jones 2008-04-01 20:32:54 EDT
is this still broken with the latest builds ?  Despite your assertion of this
being common, none of my test systems have it, so I can't test.
Comment 4 Nicolas Mailhot 2008-04-02 04:10:19 EDT
A workaround was merged upstream just before 2.6.24 release. It was one of the
last release regressions to be fixed.
Comment 5 Zenith88 2009-11-20 19:19:58 EST
I am on F12, 2.6.31.5-127.fc12.i686.PAE
Sounds like the same problem, different kernel:

# sensors-detect                                
# sensors-detect revision 1.1                                     
# System: Micro-Star Inc. MS-6566E                                

This program will help you determine which kernel modules you need
to load to use lm_sensors most effectively. It is generally safe  
and recommended to accept the default answers to all questions,   
unless you know what you're doing.                                

Some south bridges, CPUs or memory controllers contain embedded sensors.
Do you want to scan for them? This is totally safe. (YES/no): y         
Silicon Integrated Systems SIS5595...                       No          
VIA VT82C686 Integrated Sensors...                          No          
VIA VT8231 Integrated Sensors...                            No          
AMD K8 thermal sensors...                                   No          
AMD Family 11h thermal sensors...                           No          
Intel Core family thermal sensor...                         No          
Intel AMB FB-DIMM thermal sensor...                         No          
VIA C7 thermal and voltage sensors...                       No          

Some Super I/O chips contain embedded sensors. We have to write to
standard I/O ports to probe them. This is usually safe.           
Do you want to scan for Super I/O sensors? (YES/no): y            
Probing for Super-I/O at 0x2e/0x2f                                
Trying family `National Semiconductor'...                   No    
Trying family `SMSC'...                                     No    
Trying family `VIA/Winbond/Nuvoton/Fintek'...               Yes   
Found `Winbond W83627HF/F/HG/G Super IO Sensors'            Success!
    (address 0x290, driver `w83627hf')                              
Probing for Super-I/O at 0x4e/0x4f                                  
Trying family `National Semiconductor'...                   No      
Trying family `SMSC'...                                     No      
Trying family `VIA/Winbond/Nuvoton/Fintek'...               No                                                                                         
Trying family `ITE'...                                      No                                                                                         
                                                                                                                                                       
Some systems (mainly servers) implement IPMI, a set of common interfaces                                                                               
through which system health data may be retrieved, amongst other things.                                                                               
We first try to get the information from SMBIOS. If we don't find it                                                                                   
there, we have to read from arbitrary I/O ports to probe for such                                                                                      
interfaces. This is normally safe. Do you want to scan for IPMI                                                                                        
interfaces? (YES/no): y                                                                                                                                
Probing for `IPMI BMC KCS' at 0xca0...                      No                                                                                         
Probing for `IPMI BMC SMIC' at 0xca8...                     No                                                                                         

Some hardware monitoring chips are accessible through the ISA I/O ports.
We have to write to arbitrary I/O ports to probe them. This is usually  
safe though. Yes, you do have ISA I/O ports even if you do not have any 
ISA slots! Do you want to scan the ISA I/O ports? (yes/NO): y           
Probing for `National Semiconductor LM78' at 0x290...       No          
Probing for `National Semiconductor LM79' at 0x290...       No          
Probing for `Winbond W83781D' at 0x290...                   No          
Probing for `Winbond W83782D' at 0x290...                   No          

Lastly, we can probe the I2C/SMBus adapters for connected hardware
monitoring devices. This is the most risky part, and while it works
reasonably well on most systems, it has been reported to cause trouble
on some systems.                                                      
Do you want to probe the I2C/SMBus adapters now? (YES/no): y          
Using driver `i2c-i801' for device 0000:00:1f.3: Intel 82801DB ICH4   
Module i2c-dev loaded successfully.                                   

Next adapter: nouveau-0000:01:00.0-0 (i2c-0)
Do you want to scan it? (YES/no/selectively): y

Next adapter: nouveau-0000:01:00.0-1 (i2c-1)
Do you want to scan it? (YES/no/selectively): y
Client found at address 0x50                   
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 No
Probing for `EDID EEPROM'...                                Yes
    (confidence 8, not a hardware monitoring chip)             
Client found at address 0x51
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 No
Client found at address 0x52
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 No
Client found at address 0x53
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 No

Next adapter: em28xx #0 (i2c-2)
Do you want to scan it? (YES/no/selectively): y
Client found at address 0x50
Probing for `Analog Devices ADM1033'...                     No
Probing for `Analog Devices ADM1034'...                     No
Probing for `SPD EEPROM'...                                 No
Probing for `EDID EEPROM'...                                No

Now follows a summary of the probes I have just done.
Just press ENTER to continue:

Driver `w83627hf':
  * ISA bus, address 0x290
    Chip `Winbond W83627HF/F/HG/G Super IO Sensors' (confidence: 9)

Do you want to overwrite /etc/sysconfig/lm_sensors? (YES/no): y
Starting lm_sensors: loading module w83627hf No sensors found!
Make sure you loaded all the kernel drivers you need.
Try sensors-detect to find out which these are.
                                                           [FAILED]
Unloading i2c-dev... OK

# modprobe w83627hf
FATAL: Error inserting w83627hf (/lib/modules/2.6.31.5-127.fc12.i686.PAE/kernel/drivers/hwmon/w83627hf.ko): Device or resource busy

# rmmod w83627hf
ERROR: Module w83627hf does not exist in /proc/modules

Note You need to log in before you can comment on or make changes to this bug.